Foreman - Bug #32223

Unable to synchronize any repository
03/29/2021 03:26 PM - Jorge Peinado

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
Hello

| have the following persistent exception when trying to synchroinize any repository on my Foreman ( see below ).
I'm sorry if this is a duplcate one, | was unable to find any exact match on the issues database.
Please close it if it's a duplicate.

Thanks,
Jorge

Mar 29 17:12:36 satellite pulpcore-api'*': - - [29/Mar/2021:15:12:36 +0000] "GET /pulp/api/v3/status HTTP/1.1" 301 0 "-"

"rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"

Mar 29 17:12:36 satellite pulpcore-api'*'®: - - [29/Mar/2021:15:12:36 +0000] "GET /pulp/api/v3/status/ HTTP/1.1" 200 1680 "-"

"rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"

Mar 29 17:12:36 satellite pulpcore-worker-3'*™: pulp: rq.worker:INFO: Cleaning registries for queue: 1411@satellite.ust.mad.es

Mar 29 17:12:36 satellite pulpcore-worker-4'%2: pulp: rq.worker:INFO: Cleaning registries for queue: 1402@satellite.ust.mad.es

Mar 29 17:12:36 satellite pulpcore-worker-1'*3: pulp: rq.worker:INFO: Cleaning registries for queue: 1413@satellite.usr.mad.es

Mar 29 17:12:36 satellite pulpcore-resource-manager'*®: pulp: rq.worker:INFO: Cleaning registries for queue: resource-manager

Mar 29 17:12:37 satellite pulpcore-api'*'8: pulp: django.request:ERROR: Internal Server Error:

/pulp/api/v3/repositories/rpm/rpm/d6fabe4d-5b53-46a3-8242-777507915d4a/sync/

Mar 29 17:12:37 satellite pulpcore-api'*'®: Traceback (most recent call last):

Mar 29 17:12:37 satellite pulpcore- apl“118 File "/ust/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute

Mar 29 17:12:37 satellite pulpcore-api'*'®: return self.cursor.execute(sq|, params)

Mar 29 17:12:37 satellite pulpcore-apiw: psycopg2.errors.UndefinedColumn: column

rpom_rpmrepository.last_sync_repomd_checksum does not exist

Mar 29 17:12:37 satellite pulpcore-api'*'8: LINE 1: ...d", "rpm_rpmrepository"."last_sync_repo_version”,

Mar 29 17:12:37 satellite pulpcore- apﬂ‘”sz

Mar 29 17:12:37 satellite pulpcore-api'*'®: The above exception was the direct cause of the following exception:

Mar 29 17:12:37 satellite pulpcore-api'*'®: Traceback (most recent call last):

Mar 29 17:12:37 satellite pulpcore-api'*': File "/usr/lib/python3.6/site-packages/django/core/handlers/exception.py”, line 34, in inner

Mar 29 17:12:37 satellite pulpcore-api'*'®: response = get_response(request)

Mar 29 17:12:37 satellite pulpcore-api'*'2: File "/usr/lib/python3.6/site-packages/django/core/handlers/base.py”, line 115, in
_get_response

Mar 29 17:12:37 satellite pulpcore-api'*'®: response = self.process_exception_by_middleware(e, request)

Mar 29 17:12:37 satellite pulpcore-api'*'2: File "/usr/lib/python3.6/site-packages/django/core/handlers/base.py”, line 113, in

_get_response

Mar 29 17:12:37 satellite pulpcore-api'*'2: response = wrapped_callback(request, callback_args, **callback_kwargs)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/ust/lib/python3.6/site-packages/django/views/decorators/csrf.py", line 54, in

wrapped_view

Mar 29 17:12:37 satellite pulpcore-api'*'®: return view_func(*args, **kwargs)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/rest_framework/viewsets.py", line 114, in

view

Mar 29 17:12:37 satellite pulpcore- aplf: return self.dispatch(request, *args, **kwargs)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/rest_framework/views.py", line 505, in

dispatch

Mar 29 17:12:37 satellite pulpcore-api'*'®: response = self.handle_exception(exc)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/rest_framework/views.py", line 465, in

rpm_rpmre...
handle_exception

Mar 29 17:12:37 satellite pulpcore-api'*'®: self.raise_uncaught_exception(exc)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/ust/lib/python3.6/site-packages/rest_framework/views.py", line 476, in
raise_uncaught_exception

Mar 29 17:12:37 satellite pulpcore-api'*'®: raise exc

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/rest_framework/views.py", line 502, in

dispatch

Mar 29 17:12:37 satellite pulpcore-api'*'®: response = handler(request, *args, **kwargs)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/ust/lib/python3.6/site-packages/pulp_rpm/app/viewsets.py", line 123, in
sync

Mar 29 17:12:37 satellite pulpcore-api'*': repository = self.get_object()

Mar 29 17:12:37 satellite pulpcore-api'*': File "/usr/lib/python3.6/site-packages/rest_framework/generics.py", line 96, in

get_object

Mar 29 17:12:37 satellite pulpcore- aplf: obj = get_object_or_404(queryset, **filter_kwargs)

Mar 29 17:12:37 satellite pulpcore-api'*'2: File "/usr/lib/python3.6/site-packages/rest_framework/generics.py", line 19, in

get_object_or_404

Mar 29 17:12:37 satellite pulpcore- aplf: return _get_object_or_404(queryset, *filter_args, **filter_kwargs)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/django/shortcuts.py", line 93, in

get_object_or_404

Mar 29 17:12:37 satellite pulpcore-api'*': return queryset.get(*args, **kwargs)

Mar 29 17:12:37 satellite pulpcore-apl“f: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 402, in get

Mar 29 17:12:37 satellite pulpcore- aplf: num = len(clone)

Mar 29 17:12:37 satellite pulpcore- aplf: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 256, in len

Mar 29 17:12:37 satellite pulpcore- aplf: self._fetch_all()

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/ust/lib/python3.6/site-packages/django/db/models/query.py”, line 1242, in
_fetch_all

Mar 29 17:12:37 satellite pulpcore- apl47: self._result_cache = list(self._iterable_class(self))

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/ust/lib/python3.6/site-packages/django/db/models/query.py", line 55, in iter

Mar 29 17:12:37 satellite pulpcore-apl“f: results = compiler.execute_sql(chunked_fetch=self.chunked_fetch,

chunk_size=self.chunk_size)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line

1142, in execute_sq|l

Mar 29 17:12:37 satellite pulpcore- aplf: cursor.execute(sql, params)

Mar 29 17:12:37 satellite pulpcore-api'*'?: File "/ust/lib/python3.6/site-packages/django/db/backends/utils.py", line 67, in

execute

Mar 29 17:12:37 satellite pulpcore-apiM: return self._execute_with_wrappers(sql, params, many=False,

executor=self._execute)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 76, in
_execute_with_wrappers

Mar 29 17:12:37 satellite pulpcore- aplf: return executor(sql, params, many, context)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in
_execute

Mar 29 17:12:37 satellite pulpcore-api'*'®: return self.cursor.execute(sql, params)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/ust/lib/python3.6/site-packages/django/db/utils.py", line 89, in exit

Mar 29 17:12:37 satellite pulpcore-apl“f: raise dj_exc_value.with_traceback(traceback) from exc_value

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in

_execute

Mar 29 17:12:37 satellite pulpcore-api'*'®: return self.cursor.execute(sql, params)

Mar 29 17:12:37 satellite pulpcore-api'*'®: django.db.utils.ProgrammingError: column

rpm_rpmrepository.last_sync_repomd_checksum does not exist

Mar 29 17:12:37 satellite pulpcore-api'*'é: LINE 1: ...d", "rpm_rpmrepository"."last_sync_repo_version

Mar 29 17:12:37 satellite pulpcore-api'*'®: A

Mar 29 17:12:37 satellite pulpcore-api'*'®: - - [29/Mar/2021:15:12:37 +0000] "POST

/pulp/api/v3/repositories/rpm/rpm/d6fabe4d-5b53-46a3-8242-777507915d4a/sync/ HTTP/1.1" 500 27 "-"

"OpenAPI-Generator/3.9.0/ruby"

Mar 29 17:12:37 satellite pulpcore-worker-

1412@satellite.usr.mad.es

Mar 29 17:12:37 satellite pulpcore-api'*'é: pulp: django.request:ERROR: Internal Server Error:

/pulp/api/v3/distributions/rpm/rpm/018d1002-b38c-4c06-af04-fcOb0b175c76/

Mar 29 17:12:37 satellite pulpcore-api'*'é: Traceback (most recent call last):

Mar 29 17:12:37 satellite pulpcore-api'*'®: File

"/usr/lib/python3.6/site- packages/django/db/modeIs/fields/related_descriptors.py", line 393, in get

Mar 29 17:12:37 satellite pulpcore-api'*'®: rel_obj = self.related.get_cached_value(instance)

Mar 29 17:12:37 satellite pulpcore-api'*'®: File "/usr/lib/python3.6/site-packages/django/db/models/fields/mixins.py", line 13,

in get_cached_value

Mar 29 17:12:37 satellite pulpcore-apim&: return instance._state.fields_cache[cache_name]

Mar 29 17:12:37 satellite pulpcore-api'*'®: KeyError: 'rpm_rpmpublication’
Mar 29 17:12:37 satellite pulpcore- aplf:
: Traceback (most recent call last):
Mar 29 17:12:37 satellite pulpcore-api'*'é:

Mar 29 17:12:37 satellite pulpcore- apl

3

_execute
Mar 29 17:12:37 satellite pulpcore-apl

oo

not exist

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore- aplf:
: The above exception was the direct cause of the following exception:
Mar 29 17:12:37 satellite pulpcore- aplf:

oo

Mar 29 17:12:37 satellite pulpcore- apl

EEE

1418

Mar 29 17:12:37 satellite pulpcore-api—:

in inner

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore-api'*'é:

oo

_get_response

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
: File "/ust/lib/python3.6/site-packages/django/core/handlers/base.py"”, line 113, in

sk

Mar 29 17:12:37 satellite pulpcore-api™*
_get_response

Mar 29 17:12:37 satellite pulpcore-api'*'®:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

wrapped_view

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

oo

view
Mar 29 17:12:37 satellite pulpcore-api'*'®
Mar 29 17:12:37 satellite pulpcore-api'*'®
dispatch

Mar 29 17:12:37 satellite pulpcore-apl

oo

handle_exception

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

oo

raise_uncaught_exception

Mar 29 17:12:37 satellite pulpcore-api'*'é:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

dispatch

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore-api'*'é:

oo

partial_update

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
: File "/usr/lib/python3.6/site-packages/pulpcore/app/viewsets/base.py", line 451, in

sk

Mar 29 17:12:37 satellite pulpcore-api™*
update

Mar 29 17:12:37 satellite pulpcore-api'*'®:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

is_valid

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

oo

run_validation

Mar 29 17:12:37 satellite pulpcore-api'*'®
Mar 29 17:12:37 satellite pulpcore-api'*'®
to_internal_value

Mar 29 17:12:37 satellite pulpcore-apl

oo

run_validation

oo

Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

oo

run_validation

Mar 29 17:12:37 satellite pulpcore-api'*'é:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

to_internal_value
Mar 29 17:12:37 satellite pulpcore- aplf:
Mar 29 17:12:37 satellite pulpcore-api'*'®:

oo

in get_object

Mar 29 17:12:37 satellite pulpcore-api'*'®:

Mar 29 17:12:37 satellite pulpcore-api'*'®
cast
During handling of the above exception, another exception occurred:

File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in

8: return self.cursor.execute(sql, params)
Mar 29 17:12:37 satellite pulpcore-api'*':

psycopg2.errors.UndefinedColumn: column rpm_rpmpublication.gpgcheck does

LINE 1: ...

A

rpm_rpmpublication”."package_checksum_type", "rpm_rpmpu...

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/django/core/handlers/exception.py"”, line 34,

response = get_response(request)
File "/usr/lib/python3.6/site-packages/django/core/handlers/base.py"”, line 115, in

response = self.process_exception_by_middleware(e, request)
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File "/usr/lib/python3.6/site-packages/django/views/decorators/csrf.py", line 54, in

return view_func(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/rest_framework/viewsets.py", line 114, in

: return self.dispatch(request, *args, **kwargs)
: File "/ust/lib/python3.6/site-packages/rest_framework/views.py", line 505, in

8: response = self.handle_exception(exc)
Mar 29 17:12:37 satellite pulpcore-api'*':

File "/usr/lib/python3.6/site-packages/rest_framework/views.py", line 465, in

self.raise_uncaught_exception(exc)
File "/usr/lib/python3.6/site-packages/rest_framework/views.py", line 476, in

raise exc
File "/usr/lib/python3.6/site-packages/rest_framework/views.py", line 502, in

response = handler(request, *args, **kwargs)
File "/usr/lib/python3.6/site-packages/pulpcore/app/viewsets/base.py", line 467, in

return self.update(request, *args, **kwargs)
serializer.is_valid(raise_exception=True)
File "/usr/lib/python3.6/site-packages/rest_framework/serializers.py", line 234, in

self._validated_data = self.run_validation(self.initial_data)
File "/usr/lib/python3.6/site-packages/rest_framework/serializers.py", line 433, in

: value = self.to_internal_value(data)
: File "/ust/lib/python3.6/site-packages/rest_framework/serializers.py", line 490, in

8: validated_value = field.run_validation(primitive_value)
Mar 29 17:12:37 satellite pulpcore-api'*'é:

File "/usr/lib/python3.6/site-packages/rest_framework/relations.py", line 153, in

return super().run_validation(data)
File "/usr/lib/python3.6/site-packages/rest_framework/fields.py", line 565, in

value = self.to_internal_value(data)
File "/usr/lib/python3.6/site-packages/rest_framework/relations.py", line 365, in

return self.get_object(match.view_name, match.args, match.kwargs)
File "/usr/lib/python3.6/site-packages/pulpcore/app/serializers/base.py", line 235,

return super().get_object(*args, **kwargs).cast()

: File "/ust/lib/python3.6/site-packages/pulpcore/app/models/base.py", line 136, in
Mar 29 17:12:37 satellite pulpcore-api'*'®: return getattr(self, rel.name).cast()

Mar 29 17:12:37 satellite pulpcore-api'*'®: File
"/ust/lib/python3.6/site-packages/django/db/models/fields/related_descriptors.py", line 401, in get

Mar 29 17:12:37 satellite pulpcore-api'*'®: rel_obj = self.get_queryset(instance=instance).get(*filter_args)

Mar 29 17:12:37 satellite pulpcore-api'*'8: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 402, in get

Mar 29 17:12:37 satellite pulpcore-api'*'®: num = len(clone)

Mar 29 17:12:37 satellite pulpcore-api'*'8: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 256, in len

Mar 29 17:12:37 satellite pulpcore-api'*': self._fetch_all()

Mar 29 17:12:37 satellite pulpcore- aplf*‘: File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 1242, in _fetch_all

Mar 29 17:12:37 satellite pulpcore- apl self._result_cache = list(self._iterable_class(self))

Mar 29 17:12:37 satellite pulpcore-api'*': File "/usr/lib/python3.6/site-packages/django/db/models/query.py", line 55, in iter

Mar 29 17:12:37 satellite pulpcore-api'*'®: results = compiler.execute_sql(chunked_fetch=self.chunked_fetch,

chunk_size=self.chunk_size)

Mar 29 17:12:37 satellite pulpcore-api'*'2: File "/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py”, line 1142, in

execute_sql

Mar 29 17:12:37 satellite pulpcore- aplf: cursor.execute(sql, params)

Mar 29 17:12:37 satellite pulpcore- aplf: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py"”, line 67, in execute

Mar 29 17:12:37 satellite pulpcore- apl return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)

Mar 29 17:12:37 satellite pulpcore-api'*'8: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 76, in
_execute_with_wrappers

Mar 29 17:12:37 satellite pulpcore- apl“f: return executor(sql, params, many, context)

Mar 29 17:12:37 satellite pulpcore- aplf: File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute

Mar 29 17:12:37 satellite pulpcore- aplf: return self.cursor.execute(sql, params)

Mar 29 17:12:37 satellite pulpcore- aplf: File "/usr/lib/python3.6/site-packages/django/db/utils.py”, line 89, in exit

Mar 29 17:12:37 satellite pulpcore- aplf: raise dj_exc_value.with_traceback(traceback) from exc_value

Mar 29 17:12:37 satellite pulpcore- apl File "/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute

Mar 29 17:12:37 satellite pulpcore-api'*': return self.cursor.execute(sql, params)

Mar 29 17:12:37 satellite pulpcore- apl“f: django.db utils.ProgrammingError: column rpm_rpmpublication.gpgcheck does not exist
Mar 29 17:12:37 satellite pulpcore-api~——: LINE 1: ...e", "rpom_rpmpublication"."package_checksum_type", "rpm_rpmpu...
Mar 29 17:12:37 satellite pulpcore-api'*'8: A
Mar 29 17:12:37 satellite pulpcore- aplf1 - - [29/Mar/2021:15:12:37 +0000] "PATCH

/pulp/api/v3/distributions/rpm/rpm/018d1002-b38c-4c06-af04-fcOb0b175¢c76/ HTTP/1.1" 500 27 "-" "OpenAPI-Generator/3.9.0/ruby"
Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator’>®: E, [2021-03-29T17:12:37.958483 #1538] ERROR --
/parallel-executor-core: Skipping step in skipped is not supported (RuntimeError)

Mar 29 17:12:37 satellite dynflow-sidekiqg@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/run_step.rb:43:in "mark_to_skip'
Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'>%:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan.rb:330:in “each’

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan.rb:330:in “skip'

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator™22:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan.rb:217:in “block in prepare_for_rescue’
Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan.rb:217:in “each’

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'>%:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan.rb:217:in “prepare_for_rescue'

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/director.rb:251:in “rescue!

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator™22:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/director.rb:221:in “try_to_rescue'

Mar 29 17:12:37 satellite dynflow-sidekiqg@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/director.rb:214:in “unless_done'

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'>%:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/director.rb:177:in "work_finished'

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/abstract/core.rb:45:in “work_finished'

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator™22:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekig/core.rb:71:in "work_finished'

Mar 29 17:12:37 satellite dynflow-sidekiqg@orchestrator'®®: [ concurrent-ruby |

Mar 29 17:12:37 satellite dynflow-sidekiqg@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/abstract/core.rb:113:in “on_message'

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator™*®: [ concurrent-ruby |

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'®:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekig/orchestrator_jobs.rb:19:in “perform’
Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator™22:
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekig/serialization.rb:27:in “perform'’

Mar 29 17:12:37 satellite dynflow-sidekig@orchestrator'®: [ sidekiq ]
Mar 29 17:12:37 satellite dynflow-sidekiqg@orchestrator'**: [ concurrent-ruby |

History

#1 - 04/01/2021 11:27 AM - Jorge Peinado

- Status changed from New to Resolved
